Gross profit earned by the sequencer
cURL
curl --request GET \ --url https://api.blockworks.com/v1/metrics/sequencer-gross-profit \ --header 'x-api-key: <api-key>'
{ "projectName": [ { "date": "2025-08-10", "value": 123456.789 }, { "date": "2025-08-11", "value": 234567.89 }, { "date": "2025-08-12", "value": 345678.901 } ] }
curl -H "x-api-key: YOUR_API_KEY" \ "https://api.blockworks.com/v1/metrics/sequencer-gross-profit?project=zksync"
{ "zksync": [ { "date": "2026-02-19", "value": null }, { "date": "2026-02-18", "value": null }, { "date": "2026-02-17", "value": 580.7373685567235 }, { "date": "2026-02-16", "value": 540.1792672144866 }, { "date": "2026-02-15", "value": null } ] }
Project slug (comma-separated for multiple).
arbitrum
base
katana
optimism
unichain
zksync
"arbitrum"
Start date (YYYY-MM-DD)
End date (YYYY-MM-DD)
OK